#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from urllib import quote
from json import dumps
from controllers.i18n import tstrings

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1540242526.661335
__CHEETAH_genTimestamp__ = 'Mon Oct 22 21:08:46 2018'
__CHEETAH_src__ = 'pack/usr/lib/enigma2/python/Plugins/Extensions/OpenWebif/controllers/views/ajax/epgpop.tmpl'
__CHEETAH_srcLastModified__ = 'Mon Oct 22 21:08:46 2018'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class epgpop(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(epgpop, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        if len(VFFSL(SL,"events",True)) == 0: # generated from line 4, col 1
            write(u'''<html xmlns="http://www.w3.org/1999/xhtml">
<html>
<head>
<title>No items found.</title>
</head>
<body style="background: #FFFFFF; scrollbar: auto;">
<b>no results</b>
</body>
</html>
''')
        else: # generated from line 14, col 1
            t = "original"
            if VFFSL(SL,"varExists",False)('theme'): # generated from line 16, col 1
                t = VFFSL(SL,"theme",True)
            write(u'''<!doctype html>
<html>
<head>
<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link rel="shortcut icon" href="/images/favicon.png">
<link type="text/css" href="/css/style.min.css" rel="stylesheet"/>
<script type="text/javascript" src="/js/openwebif.9cc661f19ccb1202e88861849ed3a8bcba25adc4d8830cc5acd968fba75acd4a.js"></script>
<script type="text/javascript">initJsTranslation(''')
            _v = VFFSL(SL,"dumps",False)(VFFSL(SL,"tstrings",True)) # u'$dumps($tstrings)' on line 27, col 50
            if _v is not None: write(_filter(_v, rawExpr=u'$dumps($tstrings)')) # from line 27, col 50.
            write(u''')</script>
<style>

a {text-decoration:none;color:#000;}
.tb { display:inline-block; margin-left:3px;}
.tb i.fa { font-size:32px;}
#station { cursor:pointer;}
.im { font-family:Impact,Arial;font-size:18px;text-decoration:none;}
table { font-size:12px; font-family: Verdana,Arial,sans-serif;}
.deltimer{display:none;}
.ETV table {font-size:12px;width:100%;}
.ETV table td { width:50px;height:40px;}
.eft td { height:60px;vertical-align: middle;}
.efi { width:100px;}
.eft td > div { display:table;width:100%;}
.esl1,.esl2 { display:table-cell;width:30%;font-size:13px;font-weight: bold;vertical-align: middle;height: 60px;padding-left: 10px;}
.esl2 { width:70%;border-left: 1px solid black;}
.eff {width:100% !important;vertical-align: top;padding-left:10px;}
.efi img {width:100px;height:60px; border:none;}
.eff1 {width:100%;}
.panel.ui-state-hover { background-image: none; }
</style>

<title>Open Webif ''')
            _v = VFFSL(SL,"tstrings",True)['epg'] # u"$tstrings['epg']" on line 50, col 19
            if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['epg']")) # from line 50, col 19.
            write(u'''</title>
</head>
<body>
<div class="ETV">\t
<table class="ui-widget ui-widget-content" border="0" cellspacing="1" cellpadding="5">
''')
            for event in VFFSL(SL,"events",True): # generated from line 55, col 1
                channel = VFN(VFFSL(SL,"event.sname",True),"replace",False)("'", r"\'")
                title = VFN(VFFSL(SL,"event.title",True),"replace",False)("'", r"\'")
                sref = quote(VFFSL(SL,"event.sref",True), safe=' ~@#$&()*!+=:;,.?/\'')
                write(u"""
\t<tbody data-id='""")
                _v = VFFSL(SL,"sref",True) # u'$sref' on line 60, col 18
                if _v is not None: write(_filter(_v, rawExpr=u'$sref')) # from line 60, col 18.
                write(u''';''')
                _v = VFFSL(SL,"event.begin_timestamp",True) # u'$event.begin_timestamp' on line 60, col 24
                if _v is not None: write(_filter(_v, rawExpr=u'$event.begin_timestamp')) # from line 60, col 24.
                write(u''';''')
                _v = VFFSL(SL,"event.duration",True) # u'$event.duration' on line 60, col 47
                if _v is not None: write(_filter(_v, rawExpr=u'$event.duration')) # from line 60, col 47.
                write(u'''\'>
\t<tr class="eft">
\t<td class="efi ui-widget-header" colspan="2"><img src="''')
                _v = VFFSL(SL,"event.picon",True) # u'$event.picon' on line 62, col 57
                if _v is not None: write(_filter(_v, rawExpr=u'$event.picon')) # from line 62, col 57.
                write(u'''" title=""></td>
\t<td style="width:100%;height:60px;">
\t\t<div>
\t\t<div class="esl1 panel ui-state-hover">''')
                _v = VFFSL(SL,"event.sname",True) # u'$event.sname' on line 65, col 42
                if _v is not None: write(_filter(_v, rawExpr=u'$event.sname')) # from line 65, col 42.
                write(u'''<br />''')
                _v = VFFSL(SL,"event.date",True) # u'$event.date' on line 65, col 60
                if _v is not None: write(_filter(_v, rawExpr=u'$event.date')) # from line 65, col 60.
                write(u'''</div>
\t\t<div class="esl2 panel ui-state-hover">''')
                _v = VFFSL(SL,"event.title",True) # u'$event.title' on line 66, col 42
                if _v is not None: write(_filter(_v, rawExpr=u'$event.title')) # from line 66, col 42.
                write(u'''<br/>''')
                _v = VFFSL(SL,"event.begin",True) # u'$event.begin' on line 66, col 59
                if _v is not None: write(_filter(_v, rawExpr=u'$event.begin')) # from line 66, col 59.
                write(u'''&nbsp;-&nbsp;''')
                _v = VFFSL(SL,"event.end",True) # u'$event.end' on line 66, col 84
                if _v is not None: write(_filter(_v, rawExpr=u'$event.end')) # from line 66, col 84.
                write(u'''&nbsp;(''')
                _v = VFFSL(SL,"event.duration",True) # u'$event.duration' on line 66, col 101
                if _v is not None: write(_filter(_v, rawExpr=u'$event.duration')) # from line 66, col 101.
                write(u''' min.)</div>
\t\t</div>
\t</td>
\t</tr>
\t<tr>
\t\t<td class="timerpanel panel ui-state-hover">
\t\t\t<a class="tb addtimer" href="#" onclick="addTimerEvent(\'''')
                _v = VFFSL(SL,"sref",True) # u'$sref' on line 72, col 60
                if _v is not None: write(_filter(_v, rawExpr=u'$sref')) # from line 72, col 60.
                write(u"""',""")
                _v = VFFSL(SL,"event.id",True) # u'$event.id' on line 72, col 67
                if _v is not None: write(_filter(_v, rawExpr=u'$event.id')) # from line 72, col 67.
                write(u''',false);return false;" title="''')
                _v = VFFSL(SL,"tstrings",True)['add_timer'] # u"$tstrings['add_timer']" on line 72, col 106
                if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['add_timer']")) # from line 72, col 106.
                write(u'''">
\t\t\t<i class="fa fa-timerplus"></i>
\t\t\t</a>
\t\t\t<a class="tb deltimer" href="#" onclick="delTimerEvent(\'''')
                _v = VFFSL(SL,"sref",True) # u'$sref' on line 75, col 60
                if _v is not None: write(_filter(_v, rawExpr=u'$sref')) # from line 75, col 60.
                write(u"""',""")
                _v = VFFSL(SL,"event.id",True) # u'$event.id' on line 75, col 67
                if _v is not None: write(_filter(_v, rawExpr=u'$event.id')) # from line 75, col 67.
                write(u''');return false;" title="''')
                _v = VFFSL(SL,"tstrings",True)['delete_timer'] # u"$tstrings['delete_timer']" on line 75, col 100
                if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['delete_timer']")) # from line 75, col 100.
                write(u'''">
\t\t\t<i class="fa fa-timertrash"></i>
\t\t\t</a>
\t</td>
\t\t<td class="panel ui-state-hover">
\t\t<a class="tb" href="#" onclick="addEditTimerEvent(\'''')
                _v = VFFSL(SL,"sref",True) # u'$sref' on line 80, col 54
                if _v is not None: write(_filter(_v, rawExpr=u'$sref')) # from line 80, col 54.
                write(u"""',""")
                _v = VFFSL(SL,"event.id",True) # u'$event.id' on line 80, col 61
                if _v is not None: write(_filter(_v, rawExpr=u'$event.id')) # from line 80, col 61.
                write(u''');return false;" title="''')
                _v = VFFSL(SL,"tstrings",True)['edit_timer'] # u"$tstrings['edit_timer']" on line 80, col 94
                if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['edit_timer']")) # from line 80, col 94.
                write(u'''">
\t\t\t<i class="fa fa-timeredit"></i>
\t\t\t</a>
\t\t\t</td>
\t\t<td class="eff" rowspan="4"><div class="eff1">
\t\t\t<span>''')
                _v = VFFSL(SL,"event.shortdesc",True) # u'$event.shortdesc' on line 85, col 10
                if _v is not None: write(_filter(_v, rawExpr=u'$event.shortdesc')) # from line 85, col 10.
                write(u'''</span><br><br></div>
\t\t\t''')
                _v = VFFSL(SL,"event.longdesc",True) # u'$event.longdesc' on line 86, col 4
                if _v is not None: write(_filter(_v, rawExpr=u'$event.longdesc')) # from line 86, col 4.
                write(u'''
\t</td>
\t</tr>
\t<tr>
\t\t<td class="panel ui-state-hover">
\t\t\t<a class="tb" href="#" onclick="addTimerEvent(\'''')
                _v = VFFSL(SL,"sref",True) # u'$sref' on line 91, col 51
                if _v is not None: write(_filter(_v, rawExpr=u'$sref')) # from line 91, col 51.
                write(u"""',""")
                _v = VFFSL(SL,"event.id",True) # u'$event.id' on line 91, col 58
                if _v is not None: write(_filter(_v, rawExpr=u'$event.id')) # from line 91, col 58.
                write(u''',true);return false;" title="''')
                _v = VFFSL(SL,"tstrings",True)['add_zaptimer'] # u"$tstrings['add_zaptimer']" on line 91, col 96
                if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['add_zaptimer']")) # from line 91, col 96.
                write(u'''">
\t\t\t<i class="fa fa-timerplay"></i>
\t\t\t</a>
\t</td>
\t\t<td class="panel ui-state-hover">
''')
                if VFFSL(SL,"at",True): # generated from line 96, col 5
                    write(u'''\t\t\t<a class="tb" href="#" onclick="addAutoTimerEvent(\'''')
                    _v = VFFSL(SL,"sref",True) # u'$sref' on line 97, col 55
                    if _v is not None: write(_filter(_v, rawExpr=u'$sref')) # from line 97, col 55.
                    write(u"""','""")
                    _v = VFFSL(SL,"channel",True) # u'$channel' on line 97, col 63
                    if _v is not None: write(_filter(_v, rawExpr=u'$channel')) # from line 97, col 63.
                    write(u"""','""")
                    _v = VFFSL(SL,"title",True) # u'$title' on line 97, col 74
                    if _v is not None: write(_filter(_v, rawExpr=u'$title')) # from line 97, col 74.
                    write(u"""','""")
                    _v = VFFSL(SL,"event.begin",True) # u'$event.begin' on line 97, col 83
                    if _v is not None: write(_filter(_v, rawExpr=u'$event.begin')) # from line 97, col 83.
                    write(u"""','""")
                    _v = VFFSL(SL,"event.end",True) # u'$event.end' on line 97, col 98
                    if _v is not None: write(_filter(_v, rawExpr=u'$event.end')) # from line 97, col 98.
                    write(u'''\');return false;" title="''')
                    _v = VFFSL(SL,"tstrings",True)['add_autotimer'] # u"$tstrings['add_autotimer']" on line 97, col 133
                    if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['add_autotimer']")) # from line 97, col 133.
                    write(u'''">
\t\t\t\t<i class="fa fa-timerat"></i>
\t\t\t</a>
''')
                write(u'''\t</td>
\t</tr>
\t<tr>
\t\t<td class="panel ui-state-hover">
''')
                if VFFSL(SL,"kinopoisk",True): # generated from line 105, col 4
                    write(u'''\t\t\t<a class="tb" target="_blank" href="http://www.kinopoisk.ru/index.php?first=no&kp_query=''')
                    _v = VFFSL(SL,"quote",False)(VFFSL(SL,"event.title",True)) # u'$quote($event.title)' on line 106, col 92
                    if _v is not None: write(_filter(_v, rawExpr=u'$quote($event.title)')) # from line 106, col 92.
                    write(u'''"><img src="../images/kinopoisk.png" style="width:24px; height:24px; margin:0px 3px 0px 0px" title="''')
                    _v = VFFSL(SL,"tstrings",True)['search_kinopoisk'] # u"$tstrings['search_kinopoisk']" on line 106, col 212
                    if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['search_kinopoisk']")) # from line 106, col 212.
                    write(u'''" border="0"></a>
''')
                else: # generated from line 107, col 4
                    write(u'''\t\t\t<a class="im tb" target="_blank" href="http://www.imdb.com/find?s=all&amp;q=''')
                    _v = VFFSL(SL,"quote",False)(VFFSL(SL,"event.title",True)) # u'$quote($event.title)' on line 108, col 80
                    if _v is not None: write(_filter(_v, rawExpr=u'$quote($event.title)')) # from line 108, col 80.
                    write(u'''" title="''')
                    _v = VFFSL(SL,"tstrings",True)['search_imdb'] # u"$tstrings['search_imdb']" on line 108, col 109
                    if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['search_imdb']")) # from line 108, col 109.
                    write(u'''">IMDb</a>
''')
                write(u'''\t</td>
\t\t<td></td>
\t</tr>
</tbody>
''')
            write(u'''</table>
</div>
<div id="editTimerForm" title="''')
            _v = VFFSL(SL,"tstrings",True)['edit_timer'] # u"$tstrings['edit_timer']" on line 117, col 32
            if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['edit_timer']")) # from line 117, col 32.
            write(u'''"></div>
</body>
<script type="text/javascript">
var t = [
''')
            for timer in VFFSL(SL,"timers",True): # generated from line 121, col 1
                write(u"""\t{'begin':""")
                _v = VFFSL(SL,"timer.begin",True) # u'$timer.begin' on line 122, col 11
                if _v is not None: write(_filter(_v, rawExpr=u'$timer.begin')) # from line 122, col 11.
                write(u""",'end':""")
                _v = VFFSL(SL,"timer.end",True) # u'$timer.end' on line 122, col 30
                if _v is not None: write(_filter(_v, rawExpr=u'$timer.end')) # from line 122, col 30.
                write(u""",'sref':'""")
                _v = VFFSL(SL,"timer.serviceref",True) # u'$timer.serviceref' on line 122, col 49
                if _v is not None: write(_filter(_v, rawExpr=u'$timer.serviceref')) # from line 122, col 49.
                write(u"""'},
""")
            write(u'''];
var reloadTimers = true;
$(function() {
\t$(\'#editTimerForm\').load(\'ajax/edittimer\');
\tif (t.length > 0) {
\t\tvar x = $(".ETV tbody");
\t\tif (x != undefined)
\t\t\tShowTimers(t);
\t}
});

$(function() {
\t$(".ui-dialog").css({position: \'fixed\',top:\'10\'});
\t$(document).scroll(function (e) {
// FIXME !!
//\t\tif ($(".ui-widget-overlay"))
//\t\t{
//\t\t\t$(".ui-widget-overlay").css({ position: \'fixed\',top: \'0\'});
//\t\t\t$(".ui-dialog").css({position: \'fixed\',top: $(window).scrollTop()});
//\t\t}
\t});
});

</script>
</html>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_epgpop= 'respond'

## END CLASS DEFINITION

if not hasattr(epgpop, '_initCheetahAttributes'):
    templateAPIClass = getattr(epgpop, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(epgpop)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=epgpop()).run()


