#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from controllers.i18n import tstrings

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1540242526.420461
__CHEETAH_genTimestamp__ = 'Mon Oct 22 21:08:46 2018'
__CHEETAH_src__ = 'pack/usr/lib/enigma2/python/Plugins/Extensions/OpenWebif/controllers/views/ajax/settings.tmpl'
__CHEETAH_srcLastModified__ = 'Mon Oct 22 21:08:46 2018'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class settings(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(settings, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''<div id="content_main" class="ui-widget-content" style="min-height: 500px;background-image:none;">
\t<div id="info">
\t\t<div style="display:table; width: 100%; zoom: 1;">
\t\t\t<div style="display:table-cell;width:220px;">
\t\t\t\t<h3 class="ui-widget-header">''')
        _v = VFFSL(SL,"tstrings",True)['settings'] # u"$tstrings['settings']" on line 6, col 34
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['settings']")) # from line 6, col 34.
        write(u'''</h3>
\t\t\t\t<ol class="sellist" id="slist">
\t\t\t\t<li id=\'themesbtn\' data-id="owsettings" class="ui-selected">''')
        _v = VFFSL(SL,"tstrings",True)['tstr_ow_settings'] # u"$tstrings['tstr_ow_settings']" on line 8, col 65
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['tstr_ow_settings']")) # from line 8, col 65.
        write(u'''</li>
''')
        for sec in VFFSL(SL,"configsections",True): # generated from line 9, col 5
            write(u"""\t\t\t\t\t<li id='""")
            _v = VFFSL(SL,"sec",True)["key"] # u'$sec["key"]' on line 10, col 14
            if _v is not None: write(_filter(_v, rawExpr=u'$sec["key"]')) # from line 10, col 14.
            write(u"""' data-id='ajax/config?section=""")
            _v = VFFSL(SL,"sec",True)["key"] # u'$sec["key"]' on line 10, col 56
            if _v is not None: write(_filter(_v, rawExpr=u'$sec["key"]')) # from line 10, col 56.
            write(u"""'>""")
            _v = VFFSL(SL,"sec",True)["description"] # u'$sec["description"]' on line 10, col 69
            if _v is not None: write(_filter(_v, rawExpr=u'$sec["description"]')) # from line 10, col 69.
            write(u'''</li>
''')
        write(u'''\t\t\t\t</ol>
\t\t\t</div>
\t\t\t<div class="ui-widget-header" style="display:table-cell;background: none;border-bottom:none;border-top:none;border-left:none;width:1px;"></div>
\t\t\t<div style="display:table-cell;">
\t\t\t\t<div style="width: 100%; zoom: 1;">
\t\t\t\t\t<div id="scontent"></div>
\t\t\t\t\t</div>
\t\t<div id=\'osettings\' style="display:none;">
\t\t\t<div id="content_main2">
\t\t\t\t<h3 class="ui-widget-header">''')
        _v = VFFSL(SL,"tstrings",True)['tstr_ow_browser_settings'] # u"$tstrings['tstr_ow_browser_settings']" on line 21, col 34
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['tstr_ow_browser_settings']")) # from line 21, col 34.
        write(u'''</h3>
\t\t\t\t<table id="configuration">
\t\t\t\t<tr><td>''')
        _v = VFFSL(SL,"tstrings",True)['tstr_theme'] # u"$tstrings['tstr_theme']" on line 23, col 13
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['tstr_theme']")) # from line 23, col 13.
        write(u'''</td><td>
\t\t\t\t<select name="selectheme" id="selectheme" style="min-width: 150px;margin: 5px;border:none;font-size: 1em;">
''')
        for stheme in VFFSL(SL,"themes",True): # generated from line 25, col 5
            if VFFSL(SL,"stheme",True) == VFFSL(SL,"theme",True): # generated from line 26, col 6
                write(u'''\t\t\t\t\t\t<option selected="selected">''')
                _v = VFFSL(SL,"stheme",True) # u'$stheme' on line 27, col 35
                if _v is not None: write(_filter(_v, rawExpr=u'$stheme')) # from line 27, col 35.
                write(u'''</option>
''')
            else: # generated from line 28, col 6
                write(u'''\t\t\t\t\t\t<option>''')
                _v = VFFSL(SL,"stheme",True) # u'$stheme' on line 29, col 15
                if _v is not None: write(_filter(_v, rawExpr=u'$stheme')) # from line 29, col 15.
                write(u'''</option>
''')
        write(u'''\t\t\t\t</select>
\t\t\t\t</td></tr>
\t\t\t\t<tr><td>''')
        _v = VFFSL(SL,"tstrings",True)['zapbeforestream'] # u"$tstrings['zapbeforestream']" on line 34, col 13
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['zapbeforestream']")) # from line 34, col 13.
        write(u'''</td><td>
''')
        if VFFSL(SL,"zapstream",True): # generated from line 35, col 5
            write(u'''\t\t\t\t<input type="checkbox" name="zapstream" checked="checked"/>
''')
        else: # generated from line 37, col 5
            write(u'''\t\t\t\t<input type="checkbox" name="zapstream"/>
''')
        write(u'''\t\t\t\t</td></tr>
\t\t\t\t<tr><td>''')
        _v = VFFSL(SL,"tstrings",True)['tstr_show_picon_in_channel_list'] # u"$tstrings['tstr_show_picon_in_channel_list']" on line 41, col 13
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['tstr_show_picon_in_channel_list']")) # from line 41, col 13.
        write(u'''</td><td>
''')
        if VFFSL(SL,"showchannelpicon",True): # generated from line 42, col 5
            write(u'''\t\t\t\t<input type="checkbox" name="showchannelpicon" checked="checked"/>
''')
        else: # generated from line 44, col 5
            write(u'''\t\t\t\t<input type="checkbox" name="showchannelpicon"/>
''')
        write(u'''\t\t\t\t</td></tr>
\t\t\t\t<tr><td>''')
        _v = VFFSL(SL,"tstrings",True)['tstr_spinner'] # u"$tstrings['tstr_spinner']" on line 48, col 13
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['tstr_spinner']")) # from line 48, col 13.
        write(u'''</td><td>
\t\t\t\t<span class="spinner">
\t\t\t\t<fieldset style="border:none;" id="fsspinner">
\t\t\t\t<label for="fa-spinner"><i class="fa fa-spinner"></i></label>
\t\t\t\t<input type="radio" name="Spin" id="fa-spinner">
\t\t\t\t<label for="fa-spin1"><i class="fa fa-spin1"></i></label>
\t\t\t\t<input type="radio" name="Spin" id="fa-spin1">
\t\t\t\t<label for="fa-spin2"><i class="fa fa-spin2"></i></label>
\t\t\t\t<input type="radio" name="Spin" id="fa-spin2">
\t\t\t\t<label for="fa-spin3"><i class="fa fa-spin3"></i></label>
\t\t\t\t<input type="radio" name="Spin" id="fa-spin3">
\t\t\t\t<label for="fa-spin4"><i class="fa fa-spin4"></i></label>
\t\t\t\t<input type="radio" name="Spin" id="fa-spin4">
\t\t\t\t<label for="fa-spin5"><i class="fa fa-spin5"></i></label>
\t\t\t\t<input type="radio" name="Spin" id="fa-spin5">
\t\t\t\t<label for="fa-spin6"><i class="fa fa-spin6"></i></label>
\t\t\t\t<input type="radio" name="Spin" id="fa-spin6">
\t\t\t\t</fieldset>
\t\t\t\t</span>
\t\t\t\t</td></tr>
\t\t\t\t</table>
\t\t\t</div>
\t\t</div>

\t\t</div>
\t\t</div>
\t</div>
</div>
<script type="text/javascript">

function load_scontent(url) {
\t$("#scontent").html(\'\');
\t$("#osettings").hide();
\tif(url==\'owsettings\')
\t{
\t\t$("#osettings").show();
\t\t$("#selectheme").change(function() {
\t\t\tChangeTheme($(this).val());
\t\t});
\t\treturn;
\t}
\t$("#scontent").load(url , function () {
\t\t$("#scontent").find("#content_main").attr("id","content_main1");
\t});
\treturn false;
}
$(function() { 
\t$( "#slist" ).selectable({
\t\tselected: function( event, ui ) {
\t\t\tvar ids = $(\'#slist .ui-selected\').map(function() {
\t\t\t\tif($(this).data(\'id\') !== undefined) {
\t\t\t\t\tload_scontent($(this).data(\'id\'));
\t\t\t\t}
\t\t\t});
\t\t},
\t\tclasses: {
\t\t\t"ui-selected": getActiveCls()
\t\t}
\t});
\tload_scontent(\'owsettings\');
\t
\t$(".spinner input[type=\'radio\']").checkboxradio({ icon: false });
\t$(".spinner fieldset").controlgroup();
\tvar spin = GetLSValue(\'spinner\',\'fa-spinner\');
\t$(\'#\'+spin).attr(\'checked\', true).checkboxradio("refresh");
\t$(".spinner input:radio").change(function() {
\t\tSetLSValue(\'spinner\',$(this).attr(\'id\'));
\t\tSetSpinner();
\t});

\tsetHover(\'#slist li\');
\t$(\'#fsspinner > label\').css(\'padding-left\',\'10px\');
\t$(\'#fsspinner > label\').css(\'padding-right\',\'10px\');
\t$("#themesbtn").addClass(getActiveCls());

\t$("input[name=zapstream]").click(function(evt) {
\t\t$(\'input[name=zapstream]\').attr(\'checked\', evt.currentTarget.checked);
\t\twebapi_execute("/api/zapstream?checked=" + evt.currentTarget.checked);
\t});

\t$("input[name=showchannelpicon]").click(function(evt) {
\t\t$(\'input[name=showchannelpicon]\').attr(\'checked\', evt.currentTarget.checked);
\t\twebapi_execute("/api/showchannelpicon?checked=" + evt.currentTarget.checked);
\t});
\t
\t$(\'#tb2\').buttonset();
\t$(\'#tb3\').buttonset();
});
</script>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_settings= 'respond'

## END CLASS DEFINITION

if not hasattr(settings, '_initCheetahAttributes'):
    templateAPIClass = getattr(settings, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(settings)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=settings()).run()


