#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from controllers.i18n import tstrings
from json import dumps

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1540242526.29886
__CHEETAH_genTimestamp__ = 'Mon Oct 22 21:08:46 2018'
__CHEETAH_src__ = 'pack/usr/lib/enigma2/python/Plugins/Extensions/OpenWebif/controllers/views/index.tmpl'
__CHEETAH_srcLastModified__ = 'Mon Oct 22 21:08:46 2018'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class index(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(index, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def menu(self, title, name, content, **KWS):



        ## CHEETAH: generated from #def menu($title, $name, $content) at line 4, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''<div class="some-leftmenu-main">
''')
        caret = "s"
        style_val = "display: initial"
        if VFFSL(SL,"name",True) in VFFSL(SL,"collapsed",True): # generated from line 8, col 5
            caret = "w"
            style_val = "display: none"
        write(u'''    <div class="some-leftmenu-top ui-widget-header" onclick="toggleMenu(\'''')
        _v = VFFSL(SL,"name",True) # u'$name' on line 12, col 74
        if _v is not None: write(_filter(_v, rawExpr=u'$name')) # from line 12, col 74.
        write(u'''\');">
        ''')
        _v = VFFSL(SL,"title",True) # u'$title' on line 13, col 9
        if _v is not None: write(_filter(_v, rawExpr=u'$title')) # from line 13, col 9.
        write(u'''
        <div id="leftmenu_expander_''')
        _v = VFFSL(SL,"name",True) # u'$name' on line 14, col 36
        if _v is not None: write(_filter(_v, rawExpr=u'$name')) # from line 14, col 36.
        write(u'''" class="ui-selectmenu-icon ui-icon ui-icon-caret-1-''')
        _v = VFFSL(SL,"caret",True) # u'$caret' on line 14, col 93
        if _v is not None: write(_filter(_v, rawExpr=u'$caret')) # from line 14, col 93.
        write(u'''"></div>
    </div>
    <div id="leftmenu_container_''')
        _v = VFFSL(SL,"name",True) # u'$name' on line 16, col 33
        if _v is not None: write(_filter(_v, rawExpr=u'$name')) # from line 16, col 33.
        write(u'''" style="''')
        _v = VFFSL(SL,"style_val",True) # u'$style_val' on line 16, col 47
        if _v is not None: write(_filter(_v, rawExpr=u'$style_val')) # from line 16, col 47.
        write(u'''">
    ''')
        _v = VFFSL(SL,"content",True) # u'$content' on line 17, col 5
        if _v is not None: write(_filter(_v, rawExpr=u'$content')) # from line 17, col 5.
        write(u'''
    </div>
</div>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def mainMenu(self, **KWS):



        ## CHEETAH: generated from #def mainMenu at line 21, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''<ul>
    <li><a class="lmc" href="/ajax/tv">''')
        _v = VFFSL(SL,"tstrings",True)['television'] # u"$tstrings['television']" on line 23, col 40
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['television']")) # from line 23, col 40.
        write(u'''</a></li>
    <li><a class="lmc" href="/ajax/radio">''')
        _v = VFFSL(SL,"tstrings",True)['radio'] # u"$tstrings['radio']" on line 24, col 43
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['radio']")) # from line 24, col 43.
        write(u'''</a></li>
    <li><a class="lmc spin" href="/ajax/movies">''')
        _v = VFFSL(SL,"tstrings",True)['movies'] # u"$tstrings['movies']" on line 25, col 49
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['movies']")) # from line 25, col 49.
        write(u'''</a></li>
    <li><a class="lmc" href="/ajax/timers">''')
        _v = VFFSL(SL,"tstrings",True)['timers'] # u"$tstrings['timers']" on line 26, col 44
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['timers']")) # from line 26, col 44.
        write(u'''</a></li>
</ul>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def searchMenu(self, **KWS):



        ## CHEETAH: generated from #def searchMenu at line 29, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        if VFFSL(SL,"epgsearchcaps",True): # generated from line 30, col 1
            write(u'''<ul>
    <li><input type="checkbox" name="epgsearchtype" />''')
            _v = VFFSL(SL,"tstrings",True)['epgsearchextended'] # u"$tstrings['epgsearchextended']" on line 32, col 55
            if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['epgsearchextended']")) # from line 32, col 55.
            write(u'''</li>
    <li><input type="checkbox" name="epgsearchbouquetsonly" />''')
            _v = VFFSL(SL,"tstrings",True)['epgsearchbouquetsonly'] # u"$tstrings['epgsearchbouquetsonly']" on line 33, col 63
            if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['epgsearchbouquetsonly']")) # from line 33, col 63.
            write(u'''</li>
</ul>
''')
        write(u'''<form action="" onSubmit="open_epg_search_dialog(); return false;">
    <div style="width:100%; text-align:center; padding-top:5px;"><input type="text" id="epgSearch" size="14" /></div>
    <div style="width:100%; text-align:center;padding-top:5px; padding-bottom:7px;" class="epgsearch"><button>''')
        _v = VFFSL(SL,"tstrings",True)['search'] # u"$tstrings['search']" on line 38, col 111
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['search']")) # from line 38, col 111.
        write(u'''</button></div>
</form>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def remoteMenu(self, **KWS):



        ## CHEETAH: generated from #def remoteMenu at line 41, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''<div style="width:100%; text-align:center;">
    <ul>
        <li style="margin-bottom:5px;margin-top:5px;">
            <div class="tbl">
                <div>
                    <div><a class="fbb" href=\'#\' title=''')
        _v = VFN(VFFSL(SL,"tstrings",True)['powercontrol'],"replace",False)(" ","&nbsp;") # u'$tstrings[\'powercontrol\'].replace(" ","&nbsp;")' on line 47, col 56
        if _v is not None: write(_filter(_v, rawExpr=u'$tstrings[\'powercontrol\'].replace(" ","&nbsp;")')) # from line 47, col 56.
        write(u''' onclick="load_dm(\'ajax/powerstate\',\'''')
        _v = VFFSL(SL,"tstrings",True)["powercontrol"] # u'$tstrings["powercontrol"]' on line 47, col 140
        if _v is not None: write(_filter(_v, rawExpr=u'$tstrings["powercontrol"]')) # from line 47, col 140.
        write(u'''\');this.blur();return false;"><i class="fa fa-power-off" aria-hidden="true"></i></a></div>
                    <div><a class="fbb" href=\'#\' title=''')
        _v = VFN(VFFSL(SL,"tstrings",True)['sendamessage'],"replace",False)(" ","&nbsp;") # u'$tstrings[\'sendamessage\'].replace(" ","&nbsp;")' on line 48, col 56
        if _v is not None: write(_filter(_v, rawExpr=u'$tstrings[\'sendamessage\'].replace(" ","&nbsp;")')) # from line 48, col 56.
        write(u''' onclick="load_message_dm(\'ajax/message\',\'''')
        _v = VFFSL(SL,"tstrings",True)["sendamessage"] # u'$tstrings["sendamessage"]' on line 48, col 145
        if _v is not None: write(_filter(_v, rawExpr=u'$tstrings["sendamessage"]')) # from line 48, col 145.
        write(u'''\');this.blur();return false;"><i class="fa fa-envelope-o" aria-hidden="true"></i></a></div>
                </div>
            </div>
        </li>
    </ul>
    <div class="ui-widget-header" style="border-bottom: none;background: none;margin-left: 5px;margin-right: 5px;"></div>
    <img src="/images/remotes/ow_remote.png" width="135" height="183" usemap="#menuremote" border="0">
    <map name="menuremote" >
        <area shape="circle" coords="67,148,13" alt="ok" onclick="pressMenuRemote(\'352\');">
        <area shape="circle" coords="68,173,9" alt="down" onclick="pressMenuRemote(\'108\');">
        <area shape="circle" coords="44,151,9" alt="left" onclick="pressMenuRemote(\'105\');">
        <area shape="circle" coords="92,151,9" alt="right" onclick="pressMenuRemote(\'106\');">
        <area shape="circle" coords="68,126,9" alt="up" onclick="pressMenuRemote(\'103\');">
        <area shape="circle" coords="117,167,11" alt="blue" onclick="pressMenuRemote(\'401\');">
        <area shape="circle" coords="117,137,11" alt="yellow" onclick="pressMenuRemote(\'400\');">
        <area shape="circle" coords="18,167,11" alt="green" onclick="pressMenuRemote(\'399\');">
        <area shape="circle" coords="18,137,11" alt="red" onclick="pressMenuRemote(\'398\');">
        <area shape="rect" coords="2,88,41,111" alt="menu" onclick="pressMenuRemote(\'139\');">
        <area shape="rect" coords="93,88,133,111" alt="exit" onclick="pressMenuRemote(\'174\');">
        <area shape="rect" coords="46,88,87,111" alt="0" onclick="pressMenuRemote(\'11\');">
        <area shape="rect" coords="93,60,133,84" alt="9" onclick="pressMenuRemote(\'10\');">
        <area shape="rect" coords="46,60,87,84" alt="8" onclick="pressMenuRemote(\'9\');">
        <area shape="rect" coords="2,60,41,84" alt="7" onclick="pressMenuRemote(\'8\');">
        <area shape="rect" coords="93,31,133,55" alt="6" onclick="pressMenuRemote(\'7\');">
        <area shape="rect" coords="46,31,87,55" alt="5" onclick="pressMenuRemote(\'6\');">
        <area shape="rect" coords="2,31,41,55" alt="4" onclick="pressMenuRemote(\'5\');">
        <area shape="rect" coords="93,0,133,25" alt="3" onclick="pressMenuRemote(\'4\');">
        <area shape="rect" coords="46,0,89,25" alt="2" onclick="pressMenuRemote(\'3\');">
        <area shape="rect" coords="2,0,41,25" alt="1" onclick="pressMenuRemote(\'2\');">
    </map>
    <div class="help">
        ''')
        _v = VFFSL(SL,"tstrings",True)['shiftforlong'] # u"$tstrings['shiftforlong']" on line 79, col 9
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['shiftforlong']")) # from line 79, col 9.
        write(u'''
    </div>
    <ul>
        <li style="margin-bottom:5px;margin-top:5px;">
            <input type="checkbox" class="remotegrabscreen" name="remotegrabscreen1" /><span style="cursor:pointer;" title="''')
        _v = VFFSL(SL,"tstrings",True)['titscreenshot'] # u"$tstrings['titscreenshot']" on line 83, col 125
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['titscreenshot']")) # from line 83, col 125.
        write(u''' ''')
        _v = VFFSL(SL,"tstrings",True)['grabscreenshot'] # u"$tstrings['grabscreenshot']" on line 83, col 152
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['grabscreenshot']")) # from line 83, col 152.
        write(u'''" onclick="load_maincontent(\'ajax/screenshot\');return false;">''')
        _v = VFFSL(SL,"tstrings",True)['grabscreenshot'] # u"$tstrings['grabscreenshot']" on line 83, col 241
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['grabscreenshot']")) # from line 83, col 241.
        write(u'''</span>
        </li>
    </ul>
    <div class="volslider" style="display:table-row;margin-bottom:15px">
        <div style="display:table-cell;vertical-align: middle;">
            <div id="volume-indicator" class="volume_image">
                &nbsp;
            </div>
        </div>
        <div style="vertical-align: middle;display:table-cell;">
            <div id="slider" style="margin-left:10px;margin-right:10px;width:90px;"></div>
        </div>
        <div style="vertical-align: middle;display:table-cell;">
            <input class="ui-state-active" style="border:none;font-weight:bold;width:22px;" type="text" id="amount"/>
        </div>
    </div>
    <div style="margin-bottom:5px;"></div>
</div>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def extrasMenu(self, **KWS):



        ## CHEETAH: generated from #def extrasMenu at line 102, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''<ul>
    <li><a class="lmc" href="/ajax/boxinfo">''')
        _v = VFFSL(SL,"tstrings",True)["box_info"] # u'$tstrings["box_info"]' on line 104, col 45
        if _v is not None: write(_filter(_v, rawExpr=u'$tstrings["box_info"]')) # from line 104, col 45.
        write(u'''</a></li>
''')
        for extra in VFFSL(SL,"extras",True): # generated from line 105, col 5
            target_url = VFFSL(SL,"extra",True)["key"];
            if VFN(VFFSL(SL,"extra",True),"has_key",False)('nw'): # generated from line 107, col 9
                if VFFSL(SL,"extra",True)["nw"] == "1": # generated from line 108, col 13
                    write(u'''            <li><a href="''')
                    _v = VFFSL(SL,"target_url",True) # u'$target_url' on line 109, col 26
                    if _v is not None: write(_filter(_v, rawExpr=u'$target_url')) # from line 109, col 26.
                    write(u'''" target=\'_blank\'>''')
                    _v = VFFSL(SL,"extra",True)["description"] # u'$extra["description"]' on line 109, col 55
                    if _v is not None: write(_filter(_v, rawExpr=u'$extra["description"]')) # from line 109, col 55.
                    write(u'''</a></li>
''')
                else: # generated from line 110, col 13
                    write(u'''            <li><a class="lmc pop" href="''')
                    _v = VFFSL(SL,"target_url",True) # u'$target_url' on line 111, col 42
                    if _v is not None: write(_filter(_v, rawExpr=u'$target_url')) # from line 111, col 42.
                    write(u'''">''')
                    _v = VFFSL(SL,"extra",True)["description"] # u'$extra["description"]' on line 111, col 55
                    if _v is not None: write(_filter(_v, rawExpr=u'$extra["description"]')) # from line 111, col 55.
                    write(u'''</a></li>
''')
            else: # generated from line 113, col 9
                write(u'''            <li><a class="lmc" href="''')
                _v = VFFSL(SL,"target_url",True) # u'$target_url' on line 114, col 38
                if _v is not None: write(_filter(_v, rawExpr=u'$target_url')) # from line 114, col 38.
                write(u'''">''')
                _v = VFFSL(SL,"extra",True)["description"] # u'$extra["description"]' on line 114, col 51
                if _v is not None: write(_filter(_v, rawExpr=u'$extra["description"]')) # from line 114, col 51.
                write(u'''</a></li>
''')
        write(u'''</ul>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        t = "original-small-screens"
        write(u'''<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <link rel="shortcut icon" href="/images/favicon.png">
    <link type="text/css" href="/css/style.min.css" rel="stylesheet"/>
    <title>''')
        _v = VFFSL(SL,"boxname",True) # u'$boxname' on line 126, col 12
        if _v is not None: write(_filter(_v, rawExpr=u'$boxname')) # from line 126, col 12.
        write(u''' - OpenWebif</title>
</head>
<body class="original-small-screen">
    <div id="container">
        <div id="header">
            <h1><a href="/">Open<span class="ui-state-active">Webif</span></a></h1>
''')
        if not VFFSL(SL,"showname",True): # generated from line 132, col 13
            boxname = VFFSL(SL,"tstrings",True)['box_info']
        write(u'''            <h2>''')
        _v = VFFSL(SL,"tstrings",True)['openwebif_header'] # u"$tstrings['openwebif_header']" on line 135, col 17
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['openwebif_header']")) # from line 135, col 17.
        write(u'''<br/><span class="ui-state-active" onclick="load_maincontent(\'ajax/boxinfo\'); return false">''')
        _v = VFFSL(SL,"boxname",True) # u'$boxname' on line 135, col 138
        if _v is not None: write(_filter(_v, rawExpr=u'$boxname')) # from line 135, col 138.
        write(u'''</span></h2>
            <div id="statusheader">
                <div id="osd">''')
        _v = VFFSL(SL,"tstrings",True)['nothing_play'] # u"$tstrings['nothing_play']" on line 137, col 31
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['nothing_play']")) # from line 137, col 31.
        write(u'''</div>
                <div id="osd_status"></div>
                <div id="osd_bottom"></div>
            </div>
        </div>

        <div id="leftmenu" class="ui-widget-content">
            <div id="menucontainer">
                ''')
        _v = VFFSL(SL,"menu",False)(VFFSL(SL,"tstrings",True)['main'], "main", VFFSL(SL,"mainMenu",True)) # u'$menu($tstrings[\'main\'], "main", $mainMenu)' on line 145, col 17
        if _v is not None: write(_filter(_v, rawExpr=u'$menu($tstrings[\'main\'], "main", $mainMenu)')) # from line 145, col 17.
        write(u'''
                ''')
        _v = VFFSL(SL,"menu",False)(VFFSL(SL,"tstrings",True)['remote'], "remote", VFFSL(SL,"remoteMenu",True)) # u'$menu($tstrings[\'remote\'], "remote", $remoteMenu)' on line 146, col 17
        if _v is not None: write(_filter(_v, rawExpr=u'$menu($tstrings[\'remote\'], "remote", $remoteMenu)')) # from line 146, col 17.
        write(u'''
                ''')
        _v = VFFSL(SL,"menu",False)(VFFSL(SL,"tstrings",True)['extras'], "extras", VFFSL(SL,"extrasMenu",True)) # u'$menu($tstrings[\'extras\'], "extras", $extrasMenu)' on line 147, col 17
        if _v is not None: write(_filter(_v, rawExpr=u'$menu($tstrings[\'extras\'], "extras", $extrasMenu)')) # from line 147, col 17.
        write(u'''
                ''')
        _v = VFFSL(SL,"menu",False)(VFFSL(SL,"tstrings",True)['epgsearch'], "search", VFFSL(SL,"searchMenu",True)) # u'$menu($tstrings[\'epgsearch\'], "search", $searchMenu)' on line 148, col 17
        if _v is not None: write(_filter(_v, rawExpr=u'$menu($tstrings[\'epgsearch\'], "search", $searchMenu)')) # from line 148, col 17.
        write(u'''
            </div>
        </div>

        <div id="content">
            <div id="content_container">
            ''')
        _v = VFFSL(SL,"content",True) # u'$content' on line 154, col 13
        if _v is not None: write(_filter(_v, rawExpr=u'$content')) # from line 154, col 13.
        write(u'''
            </div>
            <div id="footer"><h3>&nbsp;&nbsp;<a href="https://github.com/E2OpenPlugins">E2OpenPlugins</a> | <a href="http://www.opena.tv">openATV</a> | <a href="http://www.vuplus-community.net">Black Hole</a> | <a href="http://www.droidsat.org">OpenDroid</a> | <a href="http://www.egami-image.com">EGAMI</a> | <a href="http://www.hdfreaks.cc">OpenHDF</a> | <a href="https://www.nachtfalke.biz">openNFR</a> | <a href="http://openpli.org">OpenPli</a> | <a href="http://forum.sifteam.eu">Sif</a> | <a href="http://openspa.info">OpenSpa</a> | <a href="http://www.teamblue.tech">teamBlue</a> | <a href="http://www.world-of-satellite.com">OpenViX</a> | <a href="http://www.vuplus-support.org">VTi</a> | <a class="lmc" href="ajax/about">''')
        _v = VFFSL(SL,"tstrings",True)['about'] # u"$tstrings['about']" on line 156, col 731
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['about']")) # from line 156, col 731.
        write(u'''</a></h3></div>
        </div>
    </div>

    <form name="portForm" action="/web/stream.m3u" method="GET" target="_blank">
        <input type="hidden" name="ref">
        <input type="hidden" name="name">
        <input type="hidden" name="device">
    </form>

    <form name="portFormTs" action="/web/ts.m3u" method="GET" target="_blank">
        <input type="hidden" name="file">
        <input type="hidden" name="device">
    </form>

    <div id="modaldialog"></div>
    <div id="dialog" title="Work in progress" style="display:none">
        <p>Sorry, this function is not yet implemented.</p>
    </div>

    <div id="editTimerForm" title="''')
        _v = VFFSL(SL,"tstrings",True)['edit_timer'] # u"$tstrings['edit_timer']" on line 176, col 36
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['edit_timer']")) # from line 176, col 36.
        write(u'''"></div>

    <script type="text/javascript" src="/js/openwebif.9cc661f19ccb1202e88861849ed3a8bcba25adc4d8830cc5acd968fba75acd4a.js"></script>
    <script type="text/javascript">initJsTranslation(''')
        _v = VFFSL(SL,"dumps",False)(VFFSL(SL,"tstrings",True)) # u'$dumps($tstrings)' on line 179, col 54
        if _v is not None: write(_filter(_v, rawExpr=u'$dumps($tstrings)')) # from line 179, col 54.
        write(u''')</script>

    <script type="text/javascript">
        var h = window.innerHeight - 210;
        var hh = h-70;
        var css = document.createElement("style");
        css.type = "text/css";
        css.innerHTML = \'#tvcontentmain { height: \'+h.toString()+\'px; } #tvcontent,#movies,#timers { height: \'+hh.toString()+\'px; }\';
        document.body.appendChild(css);

        $(document).ready(function() {
            directlink();
            $(\'a.lmc\').on("click", function() {
                var target_url = $(this).prop("href");
                if($(this).hasClass("spin")) {
                    load_maincontent_spin(target_url);
                }
                else if($(this).hasClass("pop")) {
                    _epg_pop(target_url);
                }
                else {
                    load_maincontent(target_url);
                }
                return false;
            });
        });
        theme = \'''')
        _v = VFFSL(SL,"t",True) # u'$t' on line 205, col 18
        if _v is not None: write(_filter(_v, rawExpr=u'$t')) # from line 205, col 18.
        write(u"""';
        SetLSValue('TimerListOffset',0);
    </script>
</body>
</html>
""")
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_index= 'respond'

## END CLASS DEFINITION

if not hasattr(index, '_initCheetahAttributes'):
    templateAPIClass = getattr(index, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(index)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=index()).run()


